Subject: Re: [PATCH] [POWERPC] 85xx: Add basic Uniprocessor MPC8572 DS port

From: Scott Wood <[email-masked]>
Date: Tue, 11 Sep 2007 12:21:30 -0500

Olof Johansson wrote:
> On Tue, Sep 11, 2007 at 11:00:28AM -0500, Kumar Gala wrote:
>> well the ifdefs are orthogonal.  We don't have a way of knowing  
>> primary from the device tree today.
> 
> How about something like "fsl,primary-phb" in the bus device node? I don't
> know, maybe it's already been discussed and turned down for some reason.

It's more of a Linux issue than anything to do with the hardware.

> Or would it be sufficient to check children of that device node to see
> if the ULi is on that bus?

Or more generally, see if an isa node is somewhere in that subtree.

-Scott